import { Component, Input, OnInit } from '@angular/core';
import { WebSocketService } from '../websocket.service';

@Component({
  selector: 'app-test-button',
  templateUrl: './test-button.component.html',
  styleUrls: ['./test-button.component.scss']
})
export class TestButtonComponent implements OnInit {
  @Input() anchor_id: string;
  text: string;
  constructor(private webSocketService: WebSocketService) {
    this.text = 'babylon';
    this.webSocketService = webSocketService;
  }

  onClick() {
    this.webSocketService.send(this.anchor_id, this.text);
  }

  ngOnInit() {
    this.webSocketService.observeAnchor(this.anchor_id).subscribe((event) => {
      this.text = event.data;
    });
  }

}
